Bug 435616 - xastir unable to download tigermaps
xastir unable to download tigermaps
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: xastir (Show other bugs)
8
i386 Linux
low Severity low
: ---
: ---
Assigned To: Lucian Langa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 11:09 EST by Michael Bass
Modified: 2008-05-22 13:52 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-22 13:52:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Startup Log with Error (968 bytes, text/plain)
2008-04-06 11:01 EDT, eric@christensenplace.us
no flags Details

  None (edit)
Description Michael Bass 2008-03-02 11:09:46 EST
Description of problem:
Xastir is unable to download tigermaps from the internet site.  The error
message is "libcurl or 'wget' not installed.  Can't download file".  Both
wget and curl packages are installed on my machine.  (It appears these packages
were not available when xastir was compiled.)

Version-Release number of selected component (if applicable):
1.9.2-2.fc8

How reproducible:
Every time the map is updated.

Steps to Reproduce:
1. Select a location in the US.
2. Using the Map chooser, select tigermaps.
3. Zoom in or out on the map.
  
Actual results:
none (error message in the console window).  Get the default low resolution line
map.

Expected results:
detailed street map of the location is downloaded and displayed in the window.

Additional info:
Comment 1 eric@christensenplace.us 2008-03-02 11:51:37 EST
I'm getting the same results.  Will be testing Steve AI4QR's suggestion of
manually installing wget, curl, and libcurl to see if this solves the problem.
Comment 2 eric@christensenplace.us 2008-03-02 12:00:02 EST
(In reply to comment #1)
It appears that I already have wget and curl installed already.  I'm thinking it
is something upstream during the compiling.  Not sure about this, however, but
I'll continue to check.
Comment 3 Lucian Langa 2008-03-08 09:04:31 EST
aparently there's an upstream problem with detecting/using libcurl.
I've rebuilt the package with wget as a requirement.
It should work fine now.

http://koji.fedoraproject.org/koji/buildinfo?buildID=42156
Comment 4 eric@christensenplace.us 2008-03-28 10:53:11 EDT
I'm using the new package and still having the same problems with 1.9.2-5.fc8.i386.
Comment 5 Lucian Langa 2008-03-28 13:24:52 EDT
eric you do have wget installed (it should be picked by xastir automagically.
Is this error still true ?
"libcurl or 'wget' not installed.  Can't download file".  

Is this still true ?
Both wget and curl packages are installed on my machine.

If you already have wget installed are you sure you are able to fetch files with
the user running xastir ? Please check for wrong settings in local wgetrc file
or global rc file, or any unreachable proxy.

Also try to manualy fetch tiger map:

wget http://tiger.census.gov/cgi-bin/mapper/map.gif

Please post any other info that might help me figure this out.

Anybody else experiences this with this package ?

Comment 6 eric@christensenplace.us 2008-03-28 14:23:16 EDT
(In reply to comment #5)
Yes I have wget installed and functioning.  In fact if I compile Xastir from
source I don't have any problems at all.  
Comment 7 eric@christensenplace.us 2008-04-06 10:36:39 EDT
I'm having the same problem with the F9 RPM as well.  This is a clean install...
I've never had Xastir installed on this box.  wget works fine otherwise but
Xastir is not pulling the online maps.
Comment 8 eric@christensenplace.us 2008-04-06 11:01:46 EDT
Created attachment 301429 [details]
Startup Log with Error
Comment 9 eric@christensenplace.us 2008-04-16 16:25:04 EDT
Per our earlier discussion, after removing every piece of the previous installs
of Xastir and then installing the new package I'm still having the same problem.
Comment 10 eric@christensenplace.us 2008-05-18 09:34:11 EDT
From the Xastir listserv, it appears that people are excited that Fedora has
included Xastir into the repo but also disappointed that they are unable to get
the online maps.  I just did two clean installs and am still unable to download
the online maps.
Comment 11 Lucian Langa 2008-05-18 10:15:44 EDT
Eric,
could you update me with any error message you get from the console
it seems it's reproductibile over here after all.
Comment 12 eric@christensenplace.us 2008-05-18 17:20:07 EDT
I'm not getting any error messages.  It just doesn't do anything.
Comment 13 Lucian Langa 2008-05-19 00:56:48 EDT
please run xastir from terminal with the following:
xastir -v 2
and paste your output.
Comment 14 Michael Bass 2008-05-19 10:26:44 EDT
fishy.1 xastir -v 2
debug level 2


Built-in map types:
      gnis   USGS GNIS Datapoints
       map   APRSdos Maps
       map   WinAPRS/MacAPRS/X-APRS Maps
       pdb   PocketAPRS Maps

Support for these additional map types has been compiled in: 
       geo   Image Map (ImageMagick/GraphicsMagick library, many formats allowed)
       shp   ESRI Shapefile Maps (Shapelib library)
Indexing maps...
Finished indexing maps
*** Reading WX Alert log files
fill_in_new_alert_entries start
fill_in_new_alert_entries end
*** Done with WX Alert log files
Port Available 0
Opening a Network stream
IP Address: 127.0.0.1
Creating new thread
net_connect_thread start
We have a socket to use
after htons
after setsockopt
calling connect(), port: 10152
connect result was: 0
net_connect_thread():Net up, port 0
net_connect_thread terminating itself
10
Net ok: 1, port 0
*** net_init is returning a 1 ***
CMD:user N7WLC-1 pass 10649 vers XASTIR 1.9.2

*** add_device: ok: 1 ***
Start port 0 threads
*** Startup of read/write threads for port 0 ***
Port 0 read start
Port 0 write start
End port 0 threads
Checking for expired alerts...
libcurl or 'wget' not installed.  Can't download file
alert_display_request
CMD:N7WLC-1>APX192,TCPIP*:=3412.13N/11853.48WxXASTIR-Linux
>X:0<N7WLC-1>APX192,TCPIP*:=3412.13N/11853.48WxXASTIR-Linux
CMD:

alert_display_request
extract_weather_item: 014
extract_weather_item: 078
extract_weather_item: 000
extract_weather_item: 000
extract_weather_item: 000
extract_weather_item: 30
extract_weather_item: 10087
alert_display_request
extract_weather_item: 001
extract_weather_item: 070
extract_weather_item: 000
extract_weather_item: 000
extract_weather_item: 000
extract_weather_item: 62
extract_weather_item: 10102
libcurl or 'wget' not installed.  Can't download file
alert_display_request
extract_weather_item: 000
extract_weather_item: 064
extract_weather_item: 000
extract_weather_item: 000
extract_weather_item: 000
extract_weather_item: 72
extract_weather_item: 10097
libcurl or 'wget' not installed.  Can't download file
alert_display_request
Caught 0

shutdown_all_active_or_defined_port: -1

Shutting down port 0 
Delete Device start
Close a Network stream
Net detach
Net detach Start, port 0
net_detach():Found port 0 up, shutting it down
CMD:
end of file on read, or signal interrupted the read, port 0
net_detach():Net Shutdown Returned 0, port 0
net_detach():Net Close Returned 0, port 0
Net detach stop, port 0
port detach OK
Thread for port 0 write down!
Thread for port 0 read down!
Cancel threads
Comment 15 Lucian Langa 2008-05-19 10:44:06 EDT
Thanx,
please also post the output of the following commands

rpm -qa xastir

rpm -qa wget

which wget
Comment 16 Michael Bass 2008-05-19 20:58:56 EDT
fishy.1 rpm -qa xastir
xastir-1.9.2-2.fc8
fishy.2 rpm -qa wget
wget-1.10.2-16.fc8
fishy.3 which wget
/usr/bin/wget

Comment 17 Lucian Langa 2008-05-20 01:26:03 EDT
Hello Michael,

there is a newer build pushed for testing, for xastir that among other things
fixes wget problem.
Please try 

https://bugzilla.redhat.com/show_bug.cgi?id=435616

and report back here
Comment 18 Michael Bass 2008-05-20 23:46:05 EDT
I reinstalled from http://koji.fedoraproject.org/koji/buildinfo?buildID=42156
which installs verison xastir-1.9.2-5.fc8.  This does fix the problem.  I am now
getting the maps.

Thanks!

Mike

Comment 19 John Dvoracek 2008-05-21 02:16:15 EDT
> there is a newer build pushed for testing, for xastir that among other things
> fixes wget problem.
> Please try 
> 
> https://bugzilla.redhat.com/show_bug.cgi?id=435616
> 
> and report back here

I have the same problem. The above link just points back to this bug page. 
Could you post a link to the test rpm?  Thank you so much!

John Dvoracek -- Temple, TX
Comment 20 Lucian Langa 2008-05-21 04:53:56 EDT
Hello John

here's the link to rpms

http://koji.fedoraproject.org/koji/buildinfo?buildID=42156

i've just pushed this for update.
In a day or too it should hit fedora updates repo
Comment 21 Lucian Langa 2008-05-22 13:52:41 EDT
xastir-1.9.2-5.fc8 successfully moved from dist-f8-updates-testing into
dist-f8-updates

Note You need to log in before you can comment on or make changes to this bug.